<?php
/**
 * Copyright © 2019 Filoblu S.r.l. All rights reserved.
 */

namespace FiloBlu\Rma\Block\Adminhtml\System;

class Config extends \Magento\Framework\Config\Data
{
    /**
     * @param \FiloBlu\Rma\Api\Model\Config\Reader $reader
     * @param \Magento\Framework\Config\CacheInterface $cache
     * @param string $cacheId
     */
    public function __construct(
        \FiloBlu\Rma\Api\Model\Config\Reader $reader,
        \Magento\Framework\Config\CacheInterface $cache,
        $cacheId = 'rma_reasons'
    ) {
        parent::__construct($reader, $cache, $cacheId);
    }

    /**
     * Get configuration of reason by name
     *
     * @param string $name
     * @return array
     */
    public function getField($name)
    {
        return $this->get($name, []);
    }

    /**
     * Get configuration of all registered rma reasons
     *
     * @return array
     */
    public function getAll()
    {
        return $this->get();
    }
}
